Index: main/trunk/greenstone2/bin/script/gsConvert.pl
===================================================================
--- main/trunk/greenstone2/bin/script/gsConvert.pl	(revision 30680)
+++ main/trunk/greenstone2/bin/script/gsConvert.pl	(revision 30681)
@@ -531,5 +531,5 @@
     my $launch_cmd = "\"".&util::get_perl_exec()."\" -S wvware.pl \"$input_filename\" \"$output_filestem\" \"$faillogfile\" $verbosity $timeout";    
 
-#    print STDERR "***** wvware launch cmd = $launch_cmd\n";
+    print STDERR "***** wvware launch cmd = $launch_cmd\n";
 
     $wvware_status = system($launch_cmd)/256;
Index: main/trunk/greenstone2/bin/script/gti.pl
===================================================================
--- main/trunk/greenstone2/bin/script/gti.pl	(revision 30680)
+++ main/trunk/greenstone2/bin/script/gti.pl	(revision 30681)
@@ -917,4 +917,7 @@
 {
     my ($file_lines, $key_to_line_mapping, $translation_file_type) = @_;
+
+		&log_message("@@@ HELLO WORLD");
+
 	
     my %key_to_text_mapping = ();
@@ -930,4 +933,10 @@
 		# Map from chunk key to text
 		eval "\$key_to_text_mapping{\${chunk_key}} = &import_chunk_from_${translation_file_type}(\$chunk_text)";
+
+		#if($chunk_key =~ m/document\\/) {
+		    #&log_message("Submission source: $source_file_key_to_submission_mapping{$chunk_key}");
+		    #&log_message("@@@ chunk key: $chunk_key");
+		#}
+
     }
 	
@@ -1608,5 +1617,5 @@
 		
 		# Line contains a dictionary string
-		if ($line =~ /^(\S+?)[:|=](.*)$/) {
+		if ($line =~ /^(\S+)[:|=](.*)$/) {
 		    $chunk_key = $1;
 		    $startindex = $i;
@@ -1633,5 +1642,5 @@
 	
     # Simple: just remove string key
-    $chunk_text =~ s/^(\S+?)[:|=](\s*)//s;
+    $chunk_text =~ s/^(\S+)[:|=](\s*)//s;
     $chunk_text =~ s/(\s*)$//s;  # Remove any nasty whitespace, carriage returns etc.
     $chunk_text =~ s/(\s*)\#\s+Updated\s+(\d?\d-\D\D\D-\d\d\d\d.*)\s*$//is;
Index: main/trunk/greenstone2/bin/script/wvware.pl
===================================================================
--- main/trunk/greenstone2/bin/script/wvware.pl	(revision 30680)
+++ main/trunk/greenstone2/bin/script/wvware.pl	(revision 30681)
@@ -217,5 +217,5 @@
 	if ($ENV{'GSDLOS'} !~ m/^windows$/i || $is_winnt_2000);
 
-#    print STDERR "***** wvware.pl launching wvware with CMD:\n\t$cmd\n";
+    print STDERR "***** wvware.pl launching wvware with CMD:\n\t$cmd\n";
 
     # execute the command
Index: main/trunk/greenstone2/collect/demo/etc/collect.cfg
===================================================================
--- main/trunk/greenstone2/collect/demo/etc/collect.cfg	(revision 30680)
+++ main/trunk/greenstone2/collect/demo/etc/collect.cfg	(revision 30681)
@@ -11,6 +11,8 @@
 levels	section document
 
+defaultlevel	document
+
 plugin	GreenstoneXMLPlugin
-plugin	HTMLPlugin -description_tags 
+plugin	HTMLPlugin -description_tags
 # following two plugins not needed for the demo collection, but are useful to
 # include for tutorial purposes
@@ -31,5 +33,5 @@
 classify	List -sort_leaf_nodes_using dc.Title -metadata dls.Organization -bookshelf_type always -partition_type_within_level constant_size
 
-classify	List -metadata dls.Keyword -partition_type_within_level constant_size -buttonname Howto
+classify	List -metadata dls.Keyword -buttonname Howto -partition_type_within_level constant_size
 
 format CL4VList "<td>[link][icon][/link]</td><td>[link][dls.Keyword][/link]"
Index: main/trunk/greenstone2/etc/main.cfg
===================================================================
--- main/trunk/greenstone2/etc/main.cfg	(revision 30680)
+++ main/trunk/greenstone2/etc/main.cfg	(revision 30681)
@@ -10,4 +10,7 @@
 # will be disabled.
 maintainer      NULL
+
+# GTI
+translator	enabled
 
 # Outgoing (SMTP) mail server for this Greenstone installation.
@@ -23,5 +26,5 @@
 # Set status to "enabled" if you want the Maintenance and
 # Administration facility to be available.
-status  	disabled
+status  	enabled
 
 # Set collector to "enabled" if you want the "collector"
@@ -299,4 +302,4 @@
 # If you want an intermediate page to warn users that they've clicked on 
 # an external link, then uncomment the following line
-#cgiarg		shortname=el argdefault=prompt
-
+cgiarg		shortname=el argdefault=prompt
+
Index: main/trunk/greenstone2/perllib/plugins/DirectoryPlugin.pm
===================================================================
--- main/trunk/greenstone2/perllib/plugins/DirectoryPlugin.pm	(revision 30680)
+++ main/trunk/greenstone2/perllib/plugins/DirectoryPlugin.pm	(revision 30681)
@@ -566,4 +566,5 @@
 		$raw_subfile = $shortcut->Path;
 	    }
+	    $shortcut->Close(); # see http://cpansearch.perl.org/src/JDB/Win32-Shortcut-0.08/docs/reference.html
 	}
 
Index: main/trunk/greenstone2/runtime-src/src/recpt/gsdl_modules_cfg.h
===================================================================
--- main/trunk/greenstone2/runtime-src/src/recpt/gsdl_modules_cfg.h	(revision 30680)
+++ main/trunk/greenstone2/runtime-src/src/recpt/gsdl_modules_cfg.h	(revision 30681)
@@ -56,5 +56,5 @@
 #define GSDL_USE_DEPOSITOR_ACTION
 #define GSDL_USE_EXTLINK_ACTION
-#undef  GSDL_USE_GTI_ACTION
+#define GSDL_USE_GTI_ACTION
 
 #ifdef ENABLE_MGPP
Index: main/trunk/greenstone2/runtime-src/src/recpt/gtiaction.cpp
===================================================================
--- main/trunk/greenstone2/runtime-src/src/recpt/gtiaction.cpp	(revision 30680)
+++ main/trunk/greenstone2/runtime-src/src/recpt/gtiaction.cpp	(revision 30681)
@@ -489,4 +489,6 @@
   text_t num_chunks_per_page = args["ncpp"];
   logout << "Num chunks per page: " << num_chunks_per_page << endl;
+  //  logout << "@@@@ translation_file_key: " << translation_file_key << endl; // "gs3interface" for GS3
+  //  logout << "@@@@ target_language_code: " << target_language_code << endl; // e.g. "nl"
 
   disp.setmacro("gtiformcontent", "gti", "_gti:gticore_");
@@ -509,4 +511,6 @@
     return;
   }
+  
+  //  logout << "@@@@ Mapping: " << gti_response.translation_files_key_to_target_file_path_mapping[translation_file_key] << endl; // empty for translation_file_key=gs3interface
 
   languageinfo_tmap loaded_languages = recpt->get_configinfo().languages;
@@ -519,5 +523,7 @@
   disp.setmacro("gtitranslationfiledesc", "gti", "_gti:textgti" + translation_file_key + "_");
   disp.setmacro("gtitranslationfiledescHtmlsafe", "gti", "_gti:textgti" + encodeForHTML(translation_file_key) + "_");
+  
   disp.setmacro("gtiviewtranslationfileinaction", "gti", "_gti:gtiview" + translation_file_key + "inaction_");
+
   disp.setmacro("gtiviewtranslationfileinactionHtmlsafe", "gti", "_gti:gtiview" + encodeForHTML(translation_file_key) + "inaction_");
 