Index: /main/trunk/greenstone3/web/WEB-INF/classes/ServiceRack_ja.properties
===================================================================
--- /main/trunk/greenstone3/web/WEB-INF/classes/ServiceRack_ja.properties	(revision 30691)
+++ /main/trunk/greenstone3/web/WEB-INF/classes/ServiceRack_ja.properties	(revision 30692)
@@ -2,55 +2,108 @@
 
 ## Service Names
-TextQuery.submit=ãµãŒã
+TextQuery.name:ãã­ã¹ãæ€çŽ¢
+TextQuery.description:ãã«ãã­ã¹ãand/or ã¡ã¿ããŒã¿æ€çŽ¢ãµãŒãã¹
+TextQuery.submit:ãµãŒã
 
-FieldQuery.submit=ãµãŒã
+FieldQuery.name:ãã©ãŒã æ€çŽ¢
+FieldQuery.description:åäžãã£ãŒã«ãæ€çŽ¢
+FieldQuery.submit:ãµãŒã
 
-AdvancedFieldQuery.submit=ãµãŒã
+AdvancedFieldQuery.name:è©³çŽ°æ€çŽ¢
+AdvancedFieldQuery.description:è©³çŽ°ãã£ãŒã«ãæ€çŽ¢
+AdvancedFieldQuery.submit:ãµãŒã
 
+RawQuery.name:ã­ãŒæ€çŽ¢
+RawQuery.description:ã­ãŒãã£ãŒã«ãæ€çŽ¢
+RawQuery.submit:ã­ãŒæ€çŽ¢
 
-ClassifierBrowse.name=ãã©ãŠãº
+ClassifierBrowse.name:ãã©ãŠãº
+ClassifierBrowse.description:ãããããå®çŸ©ãããåé¡éå±€ããã©ãŠãºãã
+ClassifierBrowse.classifier_help:{0}ã§ãã©ãŠãºãã
 
+PhindApplet.name:èªå¥ã®ãã©ãŠãº
+PhindApplet.description:æœåºãããèªå¥ã®æ¹è£
+ããã©ãŠãºããJavaã®ã¢ãã¬ãã
 
 
 # search parameters
+param.index:æ€çŽ¢ããã€ã³ããã¯ã¹
+param.indexSubcollection:ã€ã³ããã¯ã¹ããµããã³ã¬ã¯ã·ã§ã³
+param.indexLanguage:ã€ã³ããã¯ã¹èšèª
+param.maxDocs:æ€çŽ¢çµæã®æå€§ãããæ°
+param.query:ã¯ãšãªãŒã¹ããªã³ã°
+param.rawquery:ã­ãŒãã¯ãšãªãŒãã¹ããªã³ã°
+param.hitsPerPage:ããŒãžããšã®æ€çŽ¢çµæ
+param.startPage:ããŒãžããéå§ãã
 
-param.boolean.on=on
-param.boolean.off=off
-param.matchMode.all=ãã¹ãŠã
-param.matchMode.some=ããã€ãã®
+param.stem:ã¹ããã³ã°ã®å€æ
+param.case:åŒæ°ãå€ãã
+param.accent:ã¢ã¯ã»ã³ããã©ã«ãã£ã³ã°ãè»¢æãã
+param.boolean.on:on
+param.boolean.off:off
+param.matchMode:äžèŽãã
+param.matchMode.all:ãã¹ãŠã
+param.matchMode.some:ããã€ãã®
 
-param.sortBy.0=éå±€ãäœæãã
-param.sortBy.none=éå±€ãäœæãã
-param.sortOrder.0=æé 
-param.sortOrder.1=éé 
-param.reverseSort.0=off
-param.reverseSort.1=on
-param.fqs=èªå¹¹
+param.level:æ€çŽ¢ã®ç²ŸåºŠ
+param.sortBy:ãœãŒãæ€çŽ¢çµæ
+param.sortBy.1:ã©ã³ã¯
+param.sortBy.0:éå±€ãäœæãã
+param.sortBy.rank:ã©ã³ã¯
+param.sortBy.none:éå±€ãäœæãã
+param.sortOrder:ãœãŒãé åº
+param.sortOrder.0:æé 
+param.sortOrder.1:éé 
+param.reverseSort:éé ã«ãœãŒããã
+param.reverseSort.0:off
+param.reverseSort.1:on
+param.fqv:åèªãŸãã¯èªå¥
+param.fqf:ãã€ãŒã«ãå
+
+param.fqf.all:å
+šãã£ãŒã«ã
+param.fqs:èªå¹¹
+param.fqc:åŒæ°
+param.fqk:
+param.fqk.0:AND
+param.fqk.1:OR
+param.fqk.2:NOT
+param.fqa:ã¢ã¯ã»ã³ããã©ã«ã
 
 #levels 
-level.document=ãã­ã¥ã¡ã³ã
-level.Doc=ãã­ã¥ã¡ã³ã
-level.section=ã»ã¯ã·ã§ã³
-level.Sec=ã»ã¯ã·ã§ã³
-level.paragraph=ãã©ã°ã©ã
-level.Para=ãã©ã°ã©ã
+level.document:ãã­ã¥ã¡ã³ã
+level.Doc:ãã­ã¥ã¡ã³ã
+level.section:ã»ã¯ã·ã§ã³
+level.Sec:ã»ã¯ã·ã§ã³
+level.paragraph:ãã©ã°ã©ã
+level.Para:ãã©ã°ã©ã
+level.book:æ¬
+level.books:æ¬
+level.chapter:ç« 
+level.chapters:ç« 
 
 ## Authentication
-Authentication.name=ç®¡çããŒãž
+Authentication.name:ç®¡çããŒãž
+Authentication.description:ãŠãŒã¶ãŒç®¡çæš©éãäžãã
 
 ## Authentication services
-ListUsers.description=ãŠãŒã¶ãŒãªã¹ã
+ListUsers.name:ãŠãŒã¶ãŒå
+ListUsers.submit:ç³ãèŸŒã
+ListUsers.description:ãŠãŒã¶ãŒãªã¹ã
 
+AddUser.name:ãŠãŒã¶ãŒå
+AddUser.submit:ç³ãèŸŒã
+AddUser.description:ãŠãŒã¶ãŒãè¿œå ãã
 
 ## Authentication params
-param.un=ãŠãŒã¶ãŒããŒã 
-param.pw=ãã¹ã¯ãŒã
-param.com=ã³ã¡ã³ã
-param.boolean.enabled=äœ¿çšå¯èœ
-param.boolean.disabled=äœ¿çšäžå¯èœ
-param.as=ã¢ã«ãŠã³ãã®ã¹ããŒã¿ã¹
-param.gp=ã°ã«ãŒã
-param.npw=æ°èŠãã¹ã¯ãŒã
-param.rnpw=ãã¹ã¯ãŒããååºŠå
+param.un:ãŠãŒã¶ãŒããŒã 
+param.pw:ãã¹ã¯ãŒã
+param.com:ã³ã¡ã³ã
+param.boolean.enabled:äœ¿çšå¯èœ
+param.boolean.disabled:äœ¿çšäžå¯èœ
+param.as:ã¢ã«ãŠã³ãã®ã¹ããŒã¿ã¹
+param.gp:ã°ã«ãŒã
+param.npw:æ°èŠãã¹ã¯ãŒã
+param.rnpw:ãã¹ã¯ãŒããååºŠå
 ¥åããã
 
@@ -58,10 +111,18 @@
 
 ## CrossCollectionSearch specific strings
-CrossCollectionSearch.TextQuery.submit=ãµãŒã
+CrossCollectionSearch.TextQuery.name:æšªæ­ã³ã¬ã¯ã·ã§ã³æ€çŽ¢
+CrossCollectionSearch.TextQuery.description:è€æ°ã³ã¬ã¯ã·ã§ã³ãæ€çŽ¢ãã
+CrossCollectionSearch.TextQuery.submit:ãµãŒã
+CrossCollectionSearch.param.query:ã¯ãšãªãŒã®ã¹ããªã³ã°
+CrossCollectionSearch.param.collection:æ€çŽ¢ããã³ã¬ã¯ã·ã§ã³
+CrossCollectionSearch.param.collection.all:å
+šã³ã¬ã¯ã·ã§ã³
+CrossCollectionSearch.param.maxDocs:ã³ã¬ã¯ã·ã§ã³ã®ãã­ã¥ã¡ã³ãæå€§æ°
 
 
 ## LuceneSearch specific strings
-LuceneSearch.TextQuery.name=ãµãŒã
-LuceneSearch.TextQuery.submit=ãµãŒã
-
-
+LuceneSearch.TextQuery.name:ãµãŒã
+LuceneSearch.TextQuery.description:åäžã®XMLæ€çŽ¢ãµãŒãã¹
+LuceneSearch.TextQuery.submit:ãµãŒã
+LuceneSearch.param.query:ã¯ãšãªãŒã®ã¹ããªã³ã°ãå
+¥åãã
Index: /main/trunk/greenstone3/web/WEB-INF/classes/interface_default_ja.properties
===================================================================
--- /main/trunk/greenstone3/web/WEB-INF/classes/interface_default_ja.properties	(revision 30691)
+++ /main/trunk/greenstone3/web/WEB-INF/classes/interface_default_ja.properties	(revision 30692)
@@ -1,53 +1,130 @@
 #***** IMAGE URLS *****
+expand_image:interfaces/__INTERFACE_NAME__/images/expand.png
+collapse_image:interfaces/__INTERFACE_NAME__/images/chapter.png
+page_image:interfaces/__INTERFACE_NAME__/images/page.png
+chapter_image:interfaces/__INTERFACE_NAME__/images/chapter.png
+realistic_books_image:interfaces/__INTERFACE_NAME__/images/rbook.png
+slideshow_image:interfaces/__INTERFACE_NAME__/images/slideshow.png
+highlight_image:interfaces/__INTERFACE_NAME__/images/hl.png
+bookshelf_image:interfaces/__INTERFACE_NAME__/images/book.png
+book_image:interfaces/__INTERFACE_NAME__/images/book.png
+loading_image:interfaces/__INTERFACE_NAME__/images/leftarrow.png
+page_icon_image:interfaces/__INTERFACE_NAME__/images/leftarrow.png
+trash_full_image:interfaces/__INTERFACE_NAME__/images/trash-full.png
+trash_empty_image:interfaces/__INTERFACE_NAME__/images/trash-empty.png
+blank_image:interfaces/__INTERFACE_NAME__/images/blankImage.png
+next_image:interfaces/__INTERFACE_NAME__/images/leftarrow.png
+prev_image:interfaces/__INTERFACE_NAME__/images/previous.png
+zoom_image:interfaces/__INTERFACE_NAME__/images/zoom.png
+left_arrow_image:interfaces/__INTERFACE_NAME__/images/leftarrow.png
+float_toc_image:interfaces/__INTERFACE_NAME__/images/floattoc.png
+green_bug_image:interfaces/__INTERFACE_NAME__/images/floattoc.png
 
 #***** TEXT FRAGMENTS *****
-gsdl=ã°ãªãŒã³ã¹ããŒã³é»å­å³æžé€šãœãããŠãšã¢
+gsdl:ã°ãªãŒã³ã¹ããŒã³é»å­å³æžé€šãœãããŠãšã¢
+gs3power:greenstone3ã«ãã£ãŠçšŒåããŠããŸã
+error:ãšã©ãŒïŒ
+hide_error:ãšã©ãŒãé ã
+show_error:ãšã©ãŒãè¡šç€ºãã
 # the buttons
-help_b=Help
-pref_b=ããªãã¡ã¬ã³ã¹
+home_b:ããŒã 
+help_b:Help
+pref_b:ããªãã¡ã¬ã³ã¹
+debuginfo_b:Debug info
+login_b:ã­ã°ã€ã³
 # tool tips for the buttons
-aboutpage=ããŒãžã«é¢ããŠ
-home.librarian_interface=ã©ã€ãã©ãªã¢ã³ã€ã³ã¿ãŒãã§ãŒã¹
+home_tip:ã©ã€ãã©ãªãŒã®ããŒã ããŒãž
+help_tip:ãã«ãç»é¢
+pref_tip:ã€ã³ã¿ãŒãã§ãŒã¹ã®ããªãã¡ã¬ã³ã¹ãå€æŽãã
+debuginfo_tip:debugãã¥ãŒã®ãªãã·ã§ã³ãè¡šç€ºãã
+login_tip:ã­ã°ã€ã³
+aboutpage:ããŒãžã«é¢ããŠ
+home.quick_search:ã¯ã€ãã¯æ€çŽ¢
+home.librarian_interface:ã©ã€ãã©ãªã¢ã³ã€ã³ã¿ãŒãã§ãŒã¹
+home.select_a_collection:ã³ã¬ã¯ã·ã§ã³ãéžæãã
+home.no_collections:ãã®ã©ã€ãã©ãªã«ã¯æå¹ãªã³ã¬ã¯ã·ã§ã³ã¯ãããŸãã
 
 ######################
 # system page
 #######################
+system.title:ã·ã¹ãã ã®ãªã¯ãšã¹ã
 ######################
 # about page
 #######################
+about.noservices:ãã®ã³ã¬ã¯ã·ã§ã³ã§å©çšã§ãããµãŒãã¹ã¯ãããŸããã
+about.services:ç¹å¥ãªãµãŒãã¹ïŒ
+about.servicehelp:äžã®ãã¿ã³ãããã²ãŒã·ã§ã³ããŒã®åç§°ãã¯ãªãã¯ããŠãµãŒãã¹ãéå§ã§ããŸããããã²ãŒã·ã§ã³ããŒã¯ã³ã¬ã¯ã·ã§ã³ã®ãã¹ãŠã®ããŒãžã«ã€ããŠããŸãã
 
 #######################
 # query page
 ########################
-query=ãµãŒã
+query:ãµãŒã
+query.nodocsmatch:{0-level-plural}ãã¯ãšãªãŒãšäžèŽããŸããã§ãã
+query.onedocsmatch:{0-level-single} ã1ä»¶ã¯ãšãªãŒãšäžèŽããŸãã
+query.manydocsmatch:{0-numdocs} {1-level-plural} ãã¯ãšãªãŒãšäžèŽããŸãã
+query.atleastdocsmatch:å°ãªããšã {0-numdocs} {1-level-plural}ãã¯ãšãªãŒã«äžèŽããŠããŸã
+query.docsreturned:{0-numdocs} {1-level-plural} ãè¿ãããŸãã
 
-query.document_plural=ãã­ã¥ã¡ã³ã
+query.termoccurs.1.1:{0-term}ã {1-termfreq}åçºçããŸãã
+query.termoccurs.x.1:{0-term}ã{1-termfreq} åçºçããŸãã
+query.termoccurs.x.x:{0-term}ã{1-termfreq}åçºçããŸãã
+query.termSectionFreq:{0-numdocs} {1-level-plural}ã«
+query.document:ãã­ã¥ã¡ã³ã
+query.document_plural:ãã­ã¥ã¡ã³ã
+query.section:ã»ã¯ã·ã§ã³
+query.section_plural:ã»ã¯ã·ã§ã³
 
 # eg Displaying 1 to 20 of 42 sections/documents
+query.displayingnumdocs:{2-totalnum} {3-level-plural}ãã{0-startnum}ãŸã§ {1-endnum}è¡šç€ºãã
 
+query.common:ä»¥äžã®çšèªã¯æå³ããããŸããããŠæ€çŽ¢ããé€å€ãããŸãã
 
 ##################
 # prefs page
 ##################
-pref.searchpref=æ€çŽ¢ããªãã¡ã¬ã³ã¹
-pref.prespref=Presentation ããªãã¡ã¬ã³ã¹
-pref.interfacelang=ã€ã³ã¿ãŒãã§ãŒã¹èšèªïŒ
-pref.encoding=æå­ã³ãŒãïŒ
-pref.all=ãã¹ãŠã
-pref.berrybasket.on=on
-pref.berrybasket.off=off
-pref.formatedit.on=on
-pref.formatedit.off=off
+pref.searchpref:æ€çŽ¢ããªãã¡ã¬ã³ã¹
+pref.prespref:Presentation ããªãã¡ã¬ã³ã¹
+pref.interfacelang:ã€ã³ã¿ãŒãã§ãŒã¹èšèªïŒ
+pref.encoding:æå­ã³ãŒãïŒ
+pref.hitsperpage:ããŒãžããšã®ãããä»¶æ°ïŒ
+pref.maxDocs:æ€çŽ¢çµæã®æå€§æ°
+pref.all:ãã¹ãŠã
+pref.set_prefs:ããªãã¡ã¬ã³ã¹ã®èš­å®
+pref.set_prefs_help:å€æŽãä¿å­ãããæã¯ãããªãã¡ã¬ã³ã¹èš­å®ããã¯ãªãã¯ããŸã
+pref.berrybasket:Berry basket
+pref.berrybasket.on:on
+pref.berrybasket.off:off
+pref.book:æ¬ã®ãã¥ãŒã¯ãŒãã¢ãŒãïŒ
+pref.formatedit:ãã©ãŒãããç·šéã¢ãŒã
+pref.formatedit.on:on
+pref.formatedit.off:off
+pref.theme:ãŽã€ãžã¥ã¢ã«ãªããŒã
 
 ##################
 # document page
 ##################
+doc.loading:ã­ãŒããã
+doc.filter_pages:ãã€ã«ã¿ãŒã®ããŒãž
 
+doc.edit_content:ã³ã³ãã³ããç·šéãã
+doc.hide_editor:ãšãã£ã¿ãŒãé ã
+doc.edit_structure:ã¹ãã©ã¯ãã£ãç·šéãã
 
+doc.highlightTooltip:æ€çŽ¢èªã®ãã€ã©ã€ããæå¹ãŸãã¯ç¡å¹ã«ãã
+doc.realisticBooksTooltip:æ¬ã®å®ç©è¡šç€ºãæå¹ãŸãã¯ç¡å¹ã«ãã
+doc.zoomTooltip:æšæºã®ãã¥ãŒã®ç»åã®ãºãŒã æ©èœãæå¹ãŸãã¯ç¡å¹ã«ãã
+doc.slideshowTooltip:ç»åã®ã¹ã©ã€ãã·ã§ãŒãèŠã
+doc.floatingTooltip:ã¹ã¯ãªãŒã³ã®å³åŽã«ã³ã³ãã³ãã®å
+å®¹ãçœ®ã
 
-doc.document=ãã­ã¥ã¡ã³ã
+doc.document:ãã­ã¥ã¡ã³ã
+doc.back_to_top:ãããã«æ»ã
 
+doc.maps.nearby_docs:è¿ãã®ãã­ã¥ã¡ã³ããè¡šç€ºãã
+maps.scrolllabel:å Žæãè¶ããŠã¹ã¯ã­ãŒã«ãã
 
-external.title=å€éšãªã³ã¯
+external.title:å€éšãªã³ã¯
+external.text:éžæãããªã³ã¯ã¯çŸåšéžæããŠããã³ã¬ã¯ã·ã§ã³ã®å€éšã«ãããŸãããã®ãªã³ã¯ãèŠãŠãã©ãŠã¶ãŒ
+external.go_forward:é²ã
 
 
@@ -55,8 +132,35 @@
 # authentication page
 ##################
-authen.enabled=äœ¿çšå¯èœ
-authen.disabled=äœ¿çšäžå¯èœ
-authen.list_of_current_users_title=çŸåšã®ãŠãŒã¶ãŒãªã¹ã
-authen.authentication=ç®¡çããŒãž
+authen.username:ãŠãŒã¶ãŒå
+authen.page_not_found:ããŒãžãèŠã€ãããŸãã
+authen.submit:ç³ãèŸŒã
+authen.error_failed_to_add:ãšã©ãŒïŒãŠãŒã¶ã®è¿œå ã«å€±æããŸãã
+authen.user_added_success:ãŠãŒã¶ãŒã®è¿œå ã«æåããŸãã
+authen.status:ã¹ããŒã¿ã¹
+authen.password:ãã¹ã¯ãŒã
+authen.account_status:ã¢ã«ãŠã³ãã®ã¹ããŒã¿ã¹
+authen.enabled:äœ¿çšå¯èœ
+authen.disabled:äœ¿çšäžå¯èœ
+authen.groups:ã°ã«ãŒã
+authen.add_group:ã°ã«ãŒããè¿œå ãã
+authen.comment:ã³ã¡ã³ã
+authen.email:Emailã¢ãã¬ã¹
+authen.add_a_new_user_title:æ°èŠãŠãŒã¶ãŒãè¿œå ãã
+authen.old_password:ä»¥åã®ãã¹ã¯ãŒã
+authen.new_password:æ°èŠãã¹ã¯ãŒã
+authen.retype_password:ãã¹ã¯ãŒããåå
+¥åãã
+authen.edit_user_information:ãŠãŒã¶ãŒæ
+å ±ãç·šéãã
+authen.list_of_current_users_title:çŸåšã®ãŠãŒã¶ãŒãªã¹ã
+authen.delete_warning:æ¬åœã«ãŠãŒã¶ãŒãåé€ããŸãã
+authen.edit:ç·šéãã
+authen.delete:åé€ãã
+authen.authentication:ç®¡çããŒãž
+authen.add_a_new_user:æ°èŠãŠãŒã¶ãŒã®è¿œå 
+authen.register:ç»é²
+authen.account_settings:ã¢ã«ãŠã³ãã®èš­å®
+authen.change_password:ãã¹ã¯ãŒããå€æŽãã
+authen.reset_password:ãã¹ã¯ãŒãããªã»ãããã
 
 
@@ -65,4 +169,5 @@
 # Document basket #
 ###################
-
-
+db.doc_basket:ãã­ã¥ã¡ã³ãããã¹ã±ãã
+db.access_denied:ã¢ã¯ã»ã¹ãæåŠãããŸãã
+db.no_collection_building:ã³ã¬ã¯ã·ã§ã³æ§ç¯ãå¯èœã«ããªããšãã®ã°ãªãŒã³ã¹ããŒã³ã®æ©èœãäœ¿çšã§ããŸããã
Index: /main/trunk/greenstone3/web/WEB-INF/classes/metadata_names_ja.properties
===================================================================
--- /main/trunk/greenstone3/web/WEB-INF/classes/metadata_names_ja.properties	(revision 30691)
+++ /main/trunk/greenstone3/web/WEB-INF/classes/metadata_names_ja.properties	(revision 30692)
@@ -1,10 +1,41 @@
-Subject=äž»é¡
-Title=ã¿ã€ãã«
-Keyword=ã­ãŒã¯ãŒã
-Creator=ã¯ãªãšãŒã¿ãŒ
-Date=æ¥
-From=ãã
-To=ãž
-Acronym=é ­æå­
-Collage=å€§å­Š
-Language=èšèª
+section\:text=section text
+section\:text=section text
+allfields:å
+šãã£ãŒã«ã
+Subject:äž»é¡
+Subject.buttonname:ä»¶å
+Title:ã¿ã€ãã«
+Title.buttonname:ã¿ã€ãã«
+Organisation:çµç¹
+Organisation.buttonname:çµç¹
+Organization:çµç¹
+Organization.buttonname:çµç¹
+Keyword:ã­ãŒã¯ãŒã
+Keyword.buttonname:ã­ãŒã¯ãŒã
+HowTo:ã©ã®ããã«
+HowTo.buttonname:ã©ã®ããã«
+Howto:ã©ã®ããã«
+Howto.buttonname:ã©ã®ããã«
+Creator:ã¯ãªãšãŒã¿ãŒ
+Creator.buttonname:ã¯ãªãšãŒã¿ãŒ
+Date:æ¥
+Date.buttonname:æ¥ä»
+From:ãã
+From.buttonname:éä»è
+
+To:ãž
+To.buttonname:ååäºº
+Source:ãœãŒã¹
+Source.buttonname:ãã¡ã€ã«å
+Acronym:é ­æå­
+Acronym.buttonname:é ­å­èª
+Topic:ãããã¯
+Topic.buttonname:ãããã¯
+Collage:å€§å­Š
+Collage.buttonname:å€§å­Š
+Countries:åœ
+Countries.buttonname:åœ
+Language:èšèª
+Language.buttonname:èšèª
+Artist:ã¢ãŒãã£ã¹ã
+Artist.buttonname:ã¢ãŒãã£ã¹ã