Index: main/trunk/release-kits/shared/core/language-strings/LanguagePack_pl.properties
===================================================================
--- main/trunk/release-kits/shared/core/language-strings/LanguagePack_pl.properties	(revision 30711)
+++ main/trunk/release-kits/shared/core/language-strings/LanguagePack_pl.properties	(revision 30711)
@@ -0,0 +1,260 @@
+### Language page ###
+page.language-selector.displayText:JÄzyk
+language-selector-explanation.displayText:ProszÄ wybraÄ preferowany jÄzyk
+# (Note: This installer has not been fully translated into all these languages yet)
+
+
+### Intro Page ###
+page.intro.displayText:Instalator Greenstone @version@
+welcome.displayText:Greenstone@version.major@ jest oprogramowaniem do budowania i udostÄpniania cyfrowych bibliotek.\n\nTen instalator zawiera system Greenstone oraz narzÄdzia do hostowania bibliotek cyfrowych (Apache2.2 dla Linux/MacOS, Greenstone Library Server dla Windows), narzÄdzie do przetwarzania obrazÃ³w (ImageMagick) oraz do dokumentÃ³w PDF i PostScript (GhostScript - tylko dla Windows i MacOS).
+welcome-greenstone3.displayText:Greenstone@version.major@ jest oprogramowaniem do budowania i udostÄpniania biblioteki cyfrowej.
+
+## License page ###
+page.license.displayText:Licencja Oprogramowania
+
+
+### Destination page ###
+page.destination.displayText:Folder Instalacyjny
+installDir.displayText:Wybierz folder instalacyjny
+
+
+### InstallShield install detected page ###
+page.dontBudge.displayText:Wykryto PoprzedniÄ
+ InstalacjÄ
+is-install-detected.displayText:W folderze instalacyjnym wykryto instalacjÄ Greenstone2 starszÄ
+ niÅŒ wersja 2.81, albo instalacjÄ Greenstone3 starszÄ
+ niÅŒ wersja 3.04. Instalacja nie moÅŒe byÄ kontynuowana w wybranym folderze.\n\nWyjdÅº z instalatora, odinstaluj poprzedniÄ
+ wersjÄ Greenstone, a nastÄpnie ponownie uruchom instalator (zalecane). Alternatywnie moÅŒesz wrÃ³ciÄ do poprzedniej strony bieÅŒÄ
+cego instalatora i wybraÄ inny folder instalacyjny.
+
+
+### Components Page ###
+# (Note: in the html here, we must use '<br>' for breaklines.
+# '<br/>' and other variations are not recognised.)
+page.selector.displayText:Komponenty
+choose-components.displayText:ProszÄ wybraÄ komponenty do zainstalowania
+
+Looking_For_Previous_Installation.displayText:Wyszukaj Poprzednie Instalacje
+Looking_For_Previous_Installation.explanatoryText:JeÅli prÃ³bujesz nadpisaÄ instalacjÄ, to instalator sprÃ³buje zaÅadowaÄ opcje z poprzedniej instalacji, aby uproÅciÄ proces.
+
+### EXT ###
+Installing_AMP.displayText:Apache HTTPD (2.2.15), MySQL (5.1.47) oraz PHP (5.3.2)
+Installing_AMP.explanatoryText:<html>Ten komponent zainstaluje serwer Apache HTTPD wraz z MySQL (system bazodanowy) oraz PHP (jÄzyk skryptowy uÅŒywany po stronie serwera).</html>
+### /EXT ###
+
+Installing_Core_System.displayText:Podstawowy System
+Installing_Core_System.explanatoryText:<html>To podstawowy system Greenstone@version.major@. Ten komponent jest wymagany.</html>
+
+Installing_Source_Code_Core.displayText:Kod Å¹rÃ³dÅowy Rdzenia
+Installing_Source_Code_Core.explanatoryText:<html>To jest rdzeÅ (core) systemu Greenstone@version.major@ do wydawania nowych ÅºrÃ³deÅ. <br>\nZawiera dodatkowe pliki uzupeÅniajÄ
+ce kod ÅºrÃ³dÅowy. </html>
+
+Installing_Source_Code.displayText:Kod Å¹rÃ³dÅowy
+Installing_Source_Code.explanatoryText:<html>Zainstaluj kod ÅºrÃ³dÅowy jeÅli planujesz kompilowaÄ Greenstone@version.major@, <br>\nwykonywaÄ zmiany w swojej kopii Greenstone@version.major@ lub jeÅli <br>\npo prostu chcesz zobaczyÄ jak to dziaÅa.</html>
+
+Installing_ImageMagick.displayText:ImageMagick (@bundled.version.imagemagick@)
+Installing_ImageMagick.explanatoryText:Greenstone uÅŒywa ImageMagick do przetwarzania obrazkÃ³w.\n\nDoÅÄ
+czony pakiet ImageMagick zawiera wsparcie dla formatu JPEG2000.\nJeÅli masz juÅŒ ImageMagick na swoim komputerze lub jeÅli nie planujesz\ndodawaÄ obrazkÃ³w do kolekcji w Greenstone, to moÅŒesz pominÄ
+Ä instalacjÄ \nImageMagick.
+
+Installing_Ghostscript.displayText:GhostScript (@bundled.version.ghostscript@)
+Installing_Ghostscript.explanatoryText:Greenstone uÅŒywa GhostScript aby przetwarzaÄ pliki PDF oraz PostScript.\n\n JeÅli masz juÅŒ Ghostscript na swoim komputerze lub jeÅli nie planujesz\ndoÅÄ
+czaÄ plikÃ³w PDF, ani PostScript do kolekcji w Greenstone, to moÅŒesz \npominÄ
+Ä instalacjÄ Ghostscript.
+
+Installing_Apache_Web_Server.displayText:Serwer Apache
+Installing_Apache_Web_Server.explanatoryText:Aby mÃ³c udostÄpniaÄ zawartoÅÄ biblioteki cyfrowej Greenstone wymagany \njest serwer WWW. Takim serwerem jest otwarto-ÅºrÃ³dÅowy serwer Apache. \nPo wybraniu tej opcji, zostanie zainstalowany wstÄpnie skonfigurowany \nserwer Apache, ktÃ³ry bÄdzie od razu gotowy do dziaÅania z Greenstone. \nJeÅli masz juÅŒ zainstalowany serwer WWW, to moÅŒesz pominÄ
+Ä tÄ opcjÄ, ale \nmusisz w takim wypadku dostosowaÄ konfiguracjÄ istniejÄ
+cego serwera, \ntak aby dziaÅaÅ poprawnie z Greenstone. JeÅli nie masz pewnoÅci co do tej opcji, \nto zalecane jest pozostawienie jej zaznaczonej, poniewaÅŒ utworzony w trakcie\ninstalacji plik konfiguracyjny bÄdzie stanowiÅ dobrÄ
+ podstawÄ do \nzaznajomienia siÄ z wymaganÄ
+ konfiguracjÄ
+, ktÃ³rÄ
+ musisz przenieÅÄ \ndo istniejÄ
+cego serwera.
+
+Installing_Start_Menu_Shortcuts.displayText:SkrÃ³ty w Menu Start
+Installing_Start_Menu_Shortcuts.explanatoryText:Utworzenie skrÃ³tÃ³w do Greenstone@version.major@ w twoim Menu Start.
+
+Installing_Tomcat.displayText:Apache Tomcat (@bundled.version.tomcat@)
+Installing_Tomcat.explanatoryText:<html> Do udostÄpniania zasobÃ³w w sieci Greenstone3 wymaga Apache Tomcat.<br> JeÅli masz juÅŒ zainstalowanego Tomcata, to moÅŒesz go uÅŒyÄ (wymagana bÄdzie jego konfiguracja) <br> i moÅŒesz wÃ³wczas pominÄ
+Ä instalacjÄ tego komponentu. </html>
+
+Installing_Ant.displayText:Apache Ant (@bundled.version.ant@)
+Installing_Ant.explanatoryText:<html> Greenstone3 wymaga Apache Ant aby uruchamiaÄ i zatrzymywaÄ serwer Tomcat, aby rekompilowaÄ<br> kod ÅºrÃ³dÅowy oraz aby wykonywaÄ zadania administracyjne. JeÅli Ant jest juÅŒ zainstalowany, <br> to moÅŒesz spokojnie pominÄ
+Ä instalacjÄ tego komponentu. </html>
+
+Installing_Documented_Examples.displayText:Udokumentowane PrzykÅadowe Kolekcje
+Installing_Documented_Examples.explanatoryText:Zestaw przykÅadowych kolekcji, ktÃ³re posiadajÄ
+ w opisie informacjÄ jak powstaÅy.\n\nNawet jeÅli nie zainstalujesz Udokumentowanych PrzykÅadÃ³w teraz, to i tak moÅŒesz pobraÄ je pÃ³Åºniej z\nhttp\://www.greenstone.org/ lub z CD-ROM z Greenstone.
+
+### Admin password page
+
+page.admin-pages.displayText:Panel Administracyjny
+
+## GS2
+admin-expl.displayText:Panel administracyjny Greenstone umoÅŒliwia zarzÄ
+dzanie uÅŒytkownikami bazy danych, co jest niezbÄdne do przygotowania zdalnej instalacji Greenstone. Pozwala on takÅŒe w prosty sposÃ³b przeglÄ
+daÄ logi i edytowaÄ plik 'main.cfg'.
+admin-expl-2.displayText:Czy chcesz aktywowaÄ panel administracyjny Greenstone? (Zostaniesz poproszony o hasÅo na nastÄpnej stronie.)
+admin-expl-3.displayText:WaÅŒne! JeÅli aktywujesz panel administracyjny, to moÅŒe on byÄ dostÄpny przez Internet. Wybierz silne hasÅo aby dobrze go zabezpieczyÄ. \n WaÅŒne! Panel administracyjny moÅŒe zostaÄ pÃ³Åºniej wÅÄ
+czony/wyÅÄ
+czony w etc/main.cfg. Ustaw status na wÅÄ
+czony/wyÅÄ
+czony. DomyÅlne konto administracyjne z hasÅem admin zostanie utworzone. ZmieÅ je jak najszybciej.
+enable.admin.pages.displayText:Aktywuj Panel Administracyjny
+
+## GS3
+admin3-expl.displayText:Panel administracyjny Greenstone pozwala zarzÄ
+dzaÄ uÅŒytkownikami bazy danych. Greenbug umoÅŒliwia wizualnÄ
+ edycjÄ instrukcji formatujÄ
+cych. WewnÄ
+trz-przeglÄ
+darkowy Tryb Edycji umoÅŒliwia edytowanie struktury i zawartoÅci reprezentacji dokumentÃ³w generowanych przez Greenstone.
+admin3-expl-2.displayText:Czy chcesz ustawiÄ teraz hasÅo do panelu administracyjnego Greenstone? (Zostaniesz poproszony o podanie hasÅa na nastÄpnej stronie.)
+admin3-expl-3.displayText:W przeciwnym wypadku zostanie utworzone domyÅlne konto z hasÅem admin. ZmieÅ je jak najszybciej ze strony gÅÃ³wnej biblioteki.
+set.admin.pwd.displayText:Ustaw hasÅo administratora
+
+page.admin-password.displayText:HasÅo Administratora
+admin-password-expl.displayText:Zostanie stworzony dla ciebie uÅŒytkownik o nazwie 'admin' z hasÅem, ktÃ³re podasz. Podaj hasÅo dla administratora. HasÅo musi mieÄ od 3 do 20 znakÃ³w.
+admin.password.displayText:HasÅo Administratora
+
+
+
+
+### Tomcat config page
+page.tomcat-config.displayText:Konfiguracja Apache Tomcat
+tomcat-config-explanation1.displayText:Greenstone3 uÅŒywa Apache Tomcat do udostÄpnienia twojej biblioteki cyfrowej.
+tomcat-config-explanation2.displayText:MoÅŒesz skonfigurowaÄ Tomcata tutaj, albo poprzez edycjÄ pliku build.properties w folderze instalacyjnym Greenstone3 (${installDir}).
+tomcat.server.displayText:Serwer Tomcat
+tomcat-server.explanatoryText:Podaj nazwÄ sieciowÄ
+ komputera, z ktÃ³rego serwowana bÄdzie biblioteka. JeÅli nie masz pewnoÅci jaka jest nazwa to pozostaw domyÅlnÄ
+ wartoÅÄ (localhost).
+tomcat.port.explanatoryText:ProszÄ wybraÄ porty, ktÃ³re ma uÅŒywaÄ Tomcat. Zazwyczaj dobrym wyborem sÄ
+ domyÅlne wartoÅci. JeÅli jednak inne aplikacje korzystajÄ
+ z tych portÃ³w, to musisz wybraÄ jakieÅ wolne porty.
+tomcat.port.displayText:Port dla Tomcata
+tomcat.shutdown.port.displayText:Port Zatrzymywania Tomcata
+
+### Progress page
+page.progress.displayText:PostÄp instalacji
+
+### Uninstaller Strings
+
+uninstaller.greenstone.uninstaller:Deinstalator Greenstone
+uninstaller.cancel:Anuluj
+uninstaller.uninstall:Odinstaluj
+uninstaller.finish:Koniec
+uninstaller.error:BÅÄ
+d
+uninstaller.confirmation:Potwierdzenie
+uninstaller.continue:Kontynuuj
+uninstaller.complete:ZakoÅczone
+uninstaller.skip:PomiÅ
+uninstaller.skip.all:PomiÅ Wszystkie
+uninstaller.retry:SprÃ³buj ponownie
+uninstaller.readonly:Tylko do Odczytu
+
+uninstaller.will.uninstall.from:Odinstaluj Greenstone z\:
+uninstaller.uninstall.options:Opcje odinstalowania\:
+uninstaller.keep.collections:Zachowaj Kolekcje
+uninstaller.are.you.sure:JesteÅ pewien, ÅŒe chcesz odinstalowaÄ Greenstone
+uninstaller.are.you.sure.collections:WybraÅeÅ(-aÅ) usuniÄcie kolekcji.\nZanim przejdziesz, dalej wykonaj kopiÄ zapasowÄ
+ tych kolekcji, ktÃ³re chcesz zachowaÄ
+uninstaller.failed.to.figure.cd:Nie udaÅo siÄ ustaliÄ bieÅŒÄ
+cego katalogu
+uninstaller.cancelled:Instalacja Anulowana
+uninstaller.finished:Odinstalowanie ZakoÅczone
+uninstaller.deleting:Usuwam {file} z dysku
+
+uninstaller.info.skipping:Informacja. Pomijam {file}
+uninstaller.info.no.startmenu:Informacja. Nie znaleziono ÅcieÅŒki do StartMenu. UsuniÄcie grupy w StartMenu nie bÄdzie czÄÅciÄ
+ procesu deinstalacji.
+uninstaller.warning.readonly:Uwaga! {file} jest w trybie tylko-do-odczytu
+uninstaller.warning.couldnt.delete:Uwaga! Nie udaÅo siÄ usunÄ
+Ä {file}. PominiÄty.
+uninstaller.warning.nonexistent:Uwaga! {file} nie istnieje
+uninstaller.error.nonexistent:BÅÄ
+d! {file} nie istnieje
+uninstaller.error.couldnt.find.install.props:BÅÄ
+d! Nie znaleziono pliku 'installation.properties' ani pliku 'etc/installation.properties'.\nTo nie jest wÅaÅciwa instalacja Greenstone, albo jest ona uszkodzona.\nOdinstalowanie nie moÅŒe byÄ kontynuowane
+uninstaller.warning.couldnt.create.flagfile:Uwaga! Nie udaÅo siÄ pliku-flagi. Musisz samodzielnie odinstalowaÄ jre i luÅºne pliki deinstalora.
+
+
+### Ant-Installer Core strings
+
+dirNotExistCreate:Folder nie istnieje, utworzyÄ go?
+dirNotExist:Folder nie istnieje
+fileNotExist:Plik nie istnieje
+dirNotCreated:Nie udaÅo siÄ utworzyÄ folderu
+canNotCreateFile:Nie mogÄ utworzyÄ pliku
+appRootInvalid:Ten folder nie wyglÄ
+da na gÅÃ³wny folder aplikacji
+selectFile:Wybierz Plik
+selectFolder:Wybierz Folder
+browseDotDotDot:PrzeglÄ
+daj...
+notValidSelection:NieprawidÅowy wybÃ³r
+showDetails:PokaÅŒ szczegÃ³Åy
+
+#Default loading
+promptLoadDefaults:Znaleziono konfiguracjÄ instalacji. ZaÅadowaÄ istniejÄ
+cÄ
+ konfiguracjÄ?
+promptMissingDefaultPassword:Nie znaleziono hasÅa. MogÅo ono zostaÄ pominiÄte ze wzglÄdÃ³w bezpieczeÅstwa. DomyÅlne hasÅo zostanie ustawione.
+
+click:Klik
+toContinue:aby kontynuowaÄ
+failed:Nieudane
+exit:WyjÅcie
+complete:ZakoÅczone
+finished:ZakoÅczone
+extracting:Rozpakowywanie...
+installFinished:Instalacja zakoÅczona
+install-cancelled:Instalacja anulowana
+running:
+
+backButton:Wstecz
+cancelButton:Anuluj
+nextButton:NastÄpna
+finishButtonText:Zainstaluj
+
+output:WyjÅcie
+errors:BÅÄdy
+notCorrectFormat:Format pola jest niepoprawny
+notCorrectPasswordFormat:Format hasÅa jest nieprawidÅowy
+passwordsDoNotMatch:HasÅa nie pokrywajÄ
+ siÄ
+installationFailed:Instalacja nieudana
+propertiesVersionMismatch:W poprzedniej wersji brakuje niektÃ³rych opcji, ktÃ³re muszÄ
+ zostaÄ wprowadzone rÄcznie, kontynuowaÄ?
+
+Finished:ZakoÅczone
+Failed:Nieudane, zobacz komunikaty o bÅÄdach
+ant.failure:Wykonanie Ant nie powiodÅo siÄ - sprawdÅº logi bÅÄdÃ³w
+
+license.next.text:Akceptuj
+license.cancel.text:OdrzuÄ
+
+#text install strings
+_required_:wymagane
+_default_:domyÅlne
+true:tak
+#The value of 'affirmativeChars' comes from the first letters of "True" and "Yes"
+affirmativeChars:T,Y
+#The value of 'negativeChars' comes from the first letters of "False" and "No"
+negativeChars:F,N
+licenseAccept:Akceptujesz licencjÄ? T lub N   [domyÅlnie\:Y]
+clickViewLicense:NaciÅnij enter aby zobaczyÄ licencjÄ
+clickViewText:Aby kontynuowaÄ naciÅnij enter
+enterNumber:Wpisz liczbÄ
+fileDoesNotExist:Plik nie istnieje
+#The value of backChar is the first letter "Back"
+backChar:W
+#The value of nextChar is the first letter "Next"
+nextChar:N
+#In the next two properties, 'N' should be replaced the value of the 'nextChar' property
+license_next:WciÅnij 'N' aby przejÅÄ do nastÄpnej strony. WciÅnij coÅ innego aby przewinÄ
+Ä na koniec.
+large_select_next:WciÅnij 'N' aby przejÅÄ do nastÄpnej strony. WciÅnij coÅ innego aby przewinÄ
+Ä na koniec.
+availableOptions:Przejrzyj dostÄpne opcje