Index: /main/trunk/greenstone3/web/WEB-INF/classes/ServiceRack_pl.properties
===================================================================
--- /main/trunk/greenstone3/web/WEB-INF/classes/ServiceRack_pl.properties	(revision 30712)
+++ /main/trunk/greenstone3/web/WEB-INF/classes/ServiceRack_pl.properties	(revision 30713)
@@ -2,12 +2,12 @@
 
 ## Service Names
-TextQuery.submit=Szukaj
+TextQuery.submit:Szukaj
 
-FieldQuery.submit=Szukaj
+FieldQuery.submit:Szukaj
 
-AdvancedFieldQuery.submit=Szukaj
+AdvancedFieldQuery.submit:Szukaj
 
 
-ClassifierBrowse.name=PrzeglÄ
+ClassifierBrowse.name:PrzeglÄ
 daj
 
@@ -16,29 +16,33 @@
 # search parameters
 
-param.boolean.on=wÅÄ
+param.boolean.on:wÅÄ
 czony
-param.boolean.off=wyÅÄ
+param.boolean.off:wyÅÄ
 czony
-param.matchMode.all=wszystkie
-param.matchMode.some=niektÃ³re
+param.matchMode.all:wszystkie
+param.matchMode.some:niektÃ³re
 
-param.reverseSort.0=wyÅÄ
+param.reverseSort.0:wyÅÄ
 czony
-param.reverseSort.1=wÅÄ
+param.reverseSort.1:wÅÄ
 czony
+param.fqk:
 
 #levels 
-level.document=Dokument
-level.Doc=Dokument
-level.section=CzÄÅÄ
-level.Sec=CzÄÅÄ
-level.paragraph=Akapit
-level.Para=Akapit
+level.document:Dokument
+level.Doc:Dokument
+level.section:CzÄÅÄ
+level.Sec:CzÄÅÄ
+level.paragraph:Akapit
+level.Para:Akapit
 
 ## Authentication
-Authentication.name=Panel administracyjny
+Authentication.name:Panel administracyjny
 
 ## Authentication services
 
+AddUser.name:userName
+AddUser.submit:zapisz
+AddUser.description:dodaj uÅŒytkownika
 
 ## Authentication params
@@ -47,10 +51,8 @@
 
 ## CrossCollectionSearch specific strings
-CrossCollectionSearch.TextQuery.submit=Szukaj
+CrossCollectionSearch.TextQuery.submit:Szukaj
 
 
 ## LuceneSearch specific strings
-LuceneSearch.TextQuery.name=Szukaj
-LuceneSearch.TextQuery.submit=Szukaj
-
-
+LuceneSearch.TextQuery.name:Szukaj
+LuceneSearch.TextQuery.submit:Szukaj
Index: /main/trunk/greenstone3/web/WEB-INF/classes/interface_default_pl.properties
===================================================================
--- /main/trunk/greenstone3/web/WEB-INF/classes/interface_default_pl.properties	(revision 30712)
+++ /main/trunk/greenstone3/web/WEB-INF/classes/interface_default_pl.properties	(revision 30713)
@@ -2,15 +2,15 @@
 
 #***** TEXT FRAGMENTS *****
-gsdl=Biblioteka Cyfrowa Greenstone - oprogramowanie
+gsdl:Biblioteka Cyfrowa Greenstone - oprogramowanie
 # the buttons
-home_b=STRONA GÅÃWNA
-help_b=Pomoc
-pref_b=Preferencje
+home_b:STRONA GÅÃWNA
+help_b:Pomoc
+pref_b:Preferencje
 # tool tips for the buttons
-home_tip=Strona gÅÃ³wna
-help_tip=Pomoc
-pref_tip=Zmiana preferencji
-aboutpage=Informacje
-home.librarian_interface=Interfejs Bibliotekarza
+home_tip:Strona gÅÃ³wna
+help_tip:Pomoc
+pref_tip:Zmiana preferencji
+aboutpage:Informacje
+home.librarian_interface:Interfejs Bibliotekarza
 
 ######################
@@ -24,9 +24,9 @@
 # query page
 ########################
-query=Szukaj
-query.nodocsmatch=Brak wynikÃ³w
-query.onedocsmatch=znaleziono 1 dokument
+query:Szukaj
+query.nodocsmatch:Brak wynikÃ³w
+query.onedocsmatch:znaleziono 1 dokument
 
-query.document_plural=dokumenty
+query.document_plural:dokumenty
 
 # eg Displaying 1 to 20 of 42 sections/documents
@@ -36,18 +36,18 @@
 # prefs page
 ##################
-pref.searchpref=Preferencje wyszukiwania
-pref.prespref=Preferencje prezentacji
-pref.interfacelang=JÄzyk interfejsu uÅŒytkownika: 
-pref.encoding=Kodowanie znakÃ³w: 
-pref.all=wszystkie
-pref.berrybasket.on=wÅÄ
+pref.searchpref:Preferencje wyszukiwania
+pref.prespref:Preferencje prezentacji
+pref.interfacelang:JÄzyk interfejsu uÅŒytkownika:
+pref.encoding:Kodowanie znakÃ³w:
+pref.all:wszystkie
+pref.set_prefs:zapisz preferencje
+pref.berrybasket.on:wÅÄ
 czony
-pref.berrybasket.off=wyÅÄ
+pref.berrybasket.off:wyÅÄ
 czony
-pref.formatedit.on=wÅÄ
+pref.formatedit.on:wÅÄ
 czony
-pref.formatedit.off=wyÅÄ
+pref.formatedit.off:wyÅÄ
 czony
-pref.set_prefs=zapisz preferencje
 
 ##################
@@ -57,5 +57,5 @@
 
 
-doc.document=Dokument
+doc.document:Dokument
 
 
@@ -65,5 +65,5 @@
 # authentication page
 ##################
-authen.authentication=Panel administracyjny
+authen.authentication:Panel administracyjny
 
 
@@ -72,4 +72,2 @@
 # Document basket #
 ###################
-
-
Index: /main/trunk/greenstone3/web/WEB-INF/classes/metadata_names_pl.properties
===================================================================
--- /main/trunk/greenstone3/web/WEB-INF/classes/metadata_names_pl.properties	(revision 30712)
+++ /main/trunk/greenstone3/web/WEB-INF/classes/metadata_names_pl.properties	(revision 30713)
@@ -1,10 +1,10 @@
-Subject=Temat
-Title=TytuÅ
-Keyword=SÅowo kluczowe
-Creator=TwÃ³rca
-Date=Data
-From=Od
-To=Do
-Acronym=Akronim
-Collage=KolaÅŒ
-Language=JÄzyk
+Subject:Temat
+Title:TytuÅ
+Keyword:SÅowo kluczowe
+Creator:TwÃ³rca
+Date:Data
+From:Od
+To:Do
+Acronym:Akronim
+Collage:KolaÅŒ
+Language:JÄzyk