Index: /main/trunk/greenstone2/perllib/strings_gu.properties
===================================================================
--- /main/trunk/greenstone2/perllib/strings_gu.properties	(revision 30720)
+++ /main/trunk/greenstone2/perllib/strings_gu.properties	(revision 30721)
@@ -2,5 +2,4 @@
 # Resource bundle description
 #
-
 
 #
@@ -8,17 +7,11 @@
 #
 
-
 #
 # Script option descriptions and output messages
 #
 
-
 # -- buildcol.pl --
 
-
-
-
 # -- classinfo.pl --
-
 
 # -- downloadfrom.pl --
@@ -26,7 +19,5 @@
 # -- downloadinfo.pl --
 
-
 # -- explode_metadata_database.pl --
-
 
 # -- replace_srcdoc_with_html.pl --
@@ -34,17 +25,12 @@
 # -- exportcol.pl --
 
-
 # -- import.pl --
-
 
 # import.cannot_read_earliestdatestamp:Warning: unable to read collection's earliestDatestampcount from %s.\nSetting value to 0.
 
-
 # -- csv-usernames-to-db.pl
- 
 
 # -- schedule.pl --
 # -- export.pl --
-
 
 # -- mkcol.pl --
@@ -58,5 +44,4 @@
 #
 
-
 AZCompactList.allvalues:àª¬àª§à«àª àª®à«àªàªŸàª¡à«àªàªŸ àªµà«àª²à«àª¯à« àªà« àªà«àªµàªŸ àª®àª³à« àªà« àª€à«àªšà« àªàªªàª¯à«àª àªàª°à«.
 
@@ -65,11 +50,63 @@
 
 AZCompactList.doclevel:àªªà«àª°àª²à«àªà«àªšà« àªªà«àª°à«àªžà«àªž àªàª°àªµàªŸ àª®àªŸàªà«àªšà«àª àª²à«àªµàª².
+AZCompactList.doclevel.top:àªžàªàªªà«àª°à«àª£ àªªà«àª°àª²à«àª.
+AZCompactList.doclevel.firstlevel:àª«àªà«àª€ àªªà«àª°àª¥àª® àªžà«àª€àª°àªšàªŸ àªµàª¿àª­àªŸàªà« àª®àªŸàªà«
+AZCompactList.doclevel.section:àª¬àª§àªŸ àªµàª¿àª­àªŸàªà«.
 
+AZCompactList.firstvalueonly:àªªà«àª°àª¥àª® àª®à«àªàªŸàª¡à«àªàªŸ àªµà«àª²à«àª¯à« àª®àª³à« àª€à«àªšà« àª àªàªªàª¯à«àª àªàª°à«.
+
+AZCompactList.freqsort:àªàª²à«àª«àªŸ-àªšà«àª¯à«àª®àª°àª¿àªàª¥à« àªšàª¹àª¿ àªªàª°àªàª€à« àªšà«àª¡ àª«à«àª°à«àªà«àªµàªšà«àªžà«àª¥à« àª
+àª²àª àª€àªŸàª°àªµà«.
+
+AZCompactList.maxcompact:àªŠàª°à«àª àªªàªŸàªšàªŸàªŠà«àª  àªµàª§à«àª®àªŸàª àªµàª§à« àªªà«àª°àª²à«àªà« àªŠà«àªàªŸàªµàªŸ àªà«àªàª.
+
+AZCompactList.metadata:àªžàª¿àªàªàª² àª®à«àªàªŸàª¡à«àªàªŸ àª«àª¿àª²à«àª¡, àª
+àª¥àªµàªŸ àªàª àªàª°àª€àªŸ àªµàª§àªŸàª°à« àª®à«àªàªŸàª¡à«àªàªŸ àª«àª¿àª²à«àª¡ àªšà« àª
+àª²àª àªàª°àªšàªŸàª° àª
+àª²à«àªª àªµàª¿àª°àªŸàª®àªšà« àªàªªàª¯à«àª àªµàª°à«àªà«àªàª°àª£ àª®àªŸàªà« àªàª°àªµàªŸàª®àªŸàª àªàªµà« àªà«. àªà« àª¯àªŸàªŠà« àªšàªà«àªà« àªàª°à«àª² àª¹à«àª¯, àª€à« àªªà«àª°àª¥àª® àª®à«àªàªŸàª¡à«àªàªŸ àªªà«àª°àªàªŸàª°àªšà« àªà« àªµà«àª²à«àª¯à« àª¹à«àª¯ àª€à«àªšà« àªàªªàª¯à«àª àªàª°àªµàªŸàª®àªŸàª àªàªµàª¶à«. àª¯àªŸàªŠà«àª®àªŸàªàª¥à« àªªà«àª°àª¥àª® àªµà«àª²à«àª¯à« àªªàªžàªàªŠ àªàª°àªµàªŸ, àª
+àª¥àªµàªŸ àª¬àª§à« àª®à«àªàªŸàª¡à«àªàªŸ àªµà«àª²à«àª¯à« àªªàªžàªàªŠ àªàª°àªµàªŸ -àª«àªà«àª€àªªà«àª°àª¥àª®àªµà«àª²à«àª¯à«àª àª
+àªšà« -àª¬àª§à«àªàªµà«àª²à«àª¯à« àª«à«àª²à«àª àªžàªŸàª¥à« àªàªªàª¯à«àª àªàª°à« àª¶àªàªŸàª¯.
+
+AZCompactList.mincompact:àªŠàª°à«àª àªªàªŸàªšàªŸàªŠà«àª  àªàªàªŸàª®àªŸàª àªàªàªŸ àªªà«àª°àª²à«àªà« àªŠà«àªàªŸàªµàªŸ àªà«àªàª.
+
+AZCompactList.mingroup:àªšàªŸàªšàªŸàª®àªŸàª àªšàªŸàªšà« àªµà«àª²à«àª¯à« àªà« àªà« àªžàª®à«àª¹àªšà« àª°àªàªšàªŸ àª¹àªŸàªàª°àªŸàª°à«àªà«àª®àªŸàª àªàª°àª¶à«.
+
+AZCompactList.minnesting:àªšàªŸàªšàªŸàª®àªŸàª àªšàªŸàªšà« àªµà«àª²à«àª¯à« àªà« àªà« àª¯àªŸàªŠà« àª€à«àª¯àªŸàª° àªàª°àª¶à« àªà« àªà«àªšà« àªªà«àªšàª°àªŸàªµàª°à«àª€à«àª€ àª¯àªŸàªŠà«àª®àªŸàª àª°à«àªªàªŸàªàª€àª° àªàª°àªµàªŸàªšà«àª àª°àª¹à«àª¶à«.
+
+AZCompactList.recopt:àªªà«àªšàª°àªŸàªµàª°à«àª€à«àª€ àª®à«àªàªŸàª¡à«àªàªŸ àªà«àªµàªŸ àªà«- àª®à«àªàªŸàª¡à«àªàªŸ àªµàª°à«àª·/àªžàªàªžà«àª¥àªŸàªšà« àªàªªàª¯à«àª àªàª°à«àª¯à«.
+AZCompactList.sort:àª²àª¿àª« àªšà«àª¡àªšà« àª
+àª²àª àª€àªŸàª°àªµàª€àªŸ àª®à«àªàªŸàª¡à«àªàªŸ àª«àª¿àª²à«àª¡à«àªž.
+
+AZCompactSectionList.desc:AZCompactListàª®àªŸàª àªµàª¿àªµàª¿àª§àª€àªŸ àªà« àªà« àªªà«àª°àª²à«àªà« àªšà« àªšàª¹àª¿ àªªàª°àªàª€à« àªµàª¿àª­àªŸàªà«àªšà« àªµàª°à«àªà«àªà«àª€ àªàª°à« àªà«.Â  àªàªšà«àªà«àª°à«àªàªšà« àªžà«àªà«àª¶àªš-àª²à«àªµàª² àª®à«àªàªŸàª¡à«àªàªŸ àªŠà«àªµàªŸàª°àªŸ àª
+àª²àª àª€àªŸàª°àªµàªµàªŸàª®àªŸàª àªàªµà« àªà«.
+
+AZList.desc:àª®à«àª³àªŸàªà«àª·àª°à« àªªà«àª°àª®àªŸàª£à« àª
+àª²àª àª€àªŸàª°àªµàªµàªŸ àª®àªŸàªà«àªšàªŸ àªà«àª²àªŸàªžàª¿àª«àªŸàª¯àª° àªªà«àª²àªà«àªš (on a-z, A-Z, 0-9). àª€à« àªàª¡à« àª²àªŸàªàªšàª®àªŸàª A-Z àª¯àªŸàªŠà« àª¬àªšàªŸàªµà« àªà«, àªà« àªà«àªšà« àªšà«àªà« àªªà«àª°àª²à«àªà«àªšà« àª¯àªŸàªŠà«àªšàªŸ àª¹à«àª¯ àªà«.
+
+AZList.metadata:àªžàª¿àªàªàª² àª®à«àªàªŸàª¡à«àªàªŸ àª«àª¿àª²à«àª¡, àª
+àª¥àªµàªŸ àªàª àªàª°àª€àªŸ àªµàª§àªŸàª°à« àª®à«àªàªŸàª¡à«àªàªŸ àª«àª¿àª²à«àª¡ àªšà« àª
+àª²àª àªàª°àªšàªŸàª° àª
+àª²à«àªª àªµàª¿àª°àªŸàª®àªšà« àªàªªàª¯à«àª àªµàª°à«àªà«àªàª°àª£ àª®àªŸàªà« àªàª°àªµàªŸàª®àªŸàª àªàªµà« àªà«. àª¯àªŸàªŠà« àª®à«àªàª¬ àªšà«àªà« àªªà«àª°àª®àªŸàª£à«àªšàªŸ àªàª°à«àª¡àª°àª®àªŸàª, àªªà«àª°àª¥àª® àª«àª¿àª²à«àª¡ àªà« àªà« àª®à«àªàªŸàª¡à«àªàªŸ àªµà«àª²à«àª¯à« àª¬àª€àªŸàªµà« àªà« àª€à«àªšà« àªàªªàª¯à«àª àªàª°àªµàªŸàª®àªŸàª àªàªµàª¶à«. àª àªàª²àª¿àª®à«àªšà«àª àªªà«àª°àª®àªŸàª£à« àª¯àªŸàªŠà« àª
+àª²àª àª€àªŸàª°àªµàªµàªŸàª®àªŸàª àªàª°àªµàªŸàª®àªŸàª àªàªµàª¶à«.
+
+AZSectionList.desc:AZListàª®àªŸàª àªµàª¿àªµàª¿àª§àª€àªŸ àªà« àªà« àªªà«àª°àª²à«àªà« àªšà« àªšàª¹àª¿ àªªàª°àªàª€à« àªµàª¿àª­àªŸàªà«àªšà« àªµàª°à«àªà«àªà«àª€ àªàª°à« àªà«.Â  àªàªšà«àªà«àª°à«àªàªšà« àªžà«àªà«àª¶àªš-àª²à«àªµàª² àª®à«àªàªŸàª¡à«àªàªŸ àªŠà«àªµàªŸàª°àªŸ àª
+àª²àª àª€àªŸàª°àªµàªµàªŸàª®àªŸàª àªàªµà« àªà«.
 
 #
 # Plugin option descriptions
 #
+AcronymExtractor.adding:àªàª®à«àª°à«àªšà«
 
+AcronymExtractor.already_seen:àª
+àªàªŸàªàª¥à« àªÂ  àªŠà«àªàªŸàª¯ àªà«
 
+AcronymExtractor.desc:àªžà«àª¥àª³ àª®àªŸàªà« àª
+àªšà« àª®à«àª€àªŸàªà«àª·àª°à«àªšà« àªà«àªà«àªžàªàª®àªŸàª àª®àªŸàª°à«àªàª
+àªª àªàª°àªµàªŸ àª®àªŸàªà«àªšàªŸ àª¹à«àª²à«àªªàª° àªàªà«àªžàªà«àª°à«àªà«àªàª° àªªà«àª²àªà«àªš.
+
+AcronymExtractor.done_acronym_extract:àª®à«àª€àªŸàªà«àª·àª°à«àªšà« àªàªà«àªžàªà«àª°à«àªà«àª àªàª°àªµàªŸàªšà« àªàªŸàª®àªà«àª°à« àªªà«àª°à«àª£.
+
+AcronymExtractor.done_acronym_markup:àª®à«àª€àªŸàªà«àª·àª°à«àªšàªŸ àª®àªŸàª°à«àªàª
+àªªàªšà« àªàªŸàª®àªà«àª°à« àªªà«àª°à«àª£.
 
 #
@@ -84,5 +121,4 @@
 # '
 
-
 #
 # Perl module strings