Index: documentation/trunk/tutorials/xml-source/tutorial_en.xml
===================================================================
--- documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 30543)
+++ documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 30732)
@@ -1896,5 +1896,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="0460"><b>Build</b> the collection again, <b>preview</b> it, and try out the new <MajorVersion number="2"><AutoText key="coredm::_Global:labelPhrase_"/></MajorVersion><MajorVersion number="3"><AutoText key="gs3::PhindPhraseBrowse::PhindApplet.name" /></MajorVersion> option in the navigation bar. An interesting PHIND search term for this collection is <AutoText text="king" type="quoted"/>. Note that even though it is called a phrase browser, only single terms can be used as the starting point for browsing.</Text>
+<Text id="0460"><b>Build</b> the collection again, <b>preview</b> it, and try out the new <MajorVersion number="2"><AutoText key="coredm::_Global:labelPhrase_"/></MajorVersion><MajorVersion number="3"><AutoText key="gs3::ServiceRack::PhindApplet.name" /></MajorVersion> option in the navigation bar. An interesting PHIND search term for this collection is <AutoText text="king" type="quoted"/>. Note that even though it is called a phrase browser, only single terms can be used as the starting point for browsing.</Text>
 <Comment>
 <Text id="0460a">The Phind phrase browser is a Java applet. To be able to view applets in a browser, you will need a JRE installed and, from Java 7 onwards, will need to additionally add your Greenstone digital library home URL (http://localhost:8383 by default) to the Exception Site List via the Security tab of your Java Control Panel. We have found that installing web browsers before installing a JRE allows browsers to find your JRE and run applets. If you're installing browsers after the JRE has already been installed, then your browser should prompt you to install the JRE again when trying to view Java applets. For further information see <Link>http://java.com/en/download/help/enable_browser.xml</Link> on how to enable Java in a web browser and <Link>http://www.java.com/en/download/help/javaconsole.xml</Link> to locate the Java Control Panel for your operating system.</Text>
@@ -3029,5 +3029,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="mf-67">Once you have identified the names of the images to be replaced, you need to find out where they occur in the macro files. To do this on Windows, you would search the macro files for the image names using the <AutoText text="findstr"/> program, which is run in a command prompt. Open a command prompt using <Menu>Start &rarr; Programs &rarr; Accessories &rarr; Command Prompt</Menu>, or <Menu>Start &rarr; Run</Menu> and enter <Command>cmd</Command> as the name of the program to run.</Text>
+<Text id="mf-67">Once you have identified the names of the images to be replaced, you need to find out where they occur in the macro files. To do this on Windows, you would search the macro files for the image names using the <AutoText text="findstr"/> program, which is run in a command prompt. Open a command prompt using <Menu>Start &rarr; Programs &rarr; Accessories &rarr; Command Prompt</Menu>, or <Menu>Start &rarr; Run</Menu> and enter <Command>cmd</Command> as the name of the program to run. If your Windows doesn't have a conventional Start menu, then press <Command>Ctrl+r</Command> to launch the Windows Run dialog, then type <Command>cmd</Command>.</Text>
 <Text id="mf-68">You can type <Command>findstr/?</Command> to see a description of the program and its arguments.</Text>
 <Text id="mf-69">To search the macro files for <i><AutoText text="gsdlhead.gif" /></i> type</Text>
@@ -3582,5 +3582,5 @@
 <NumberedItem>
 <Text id="0612">In the <AutoText key="glidict::CDM.GUI.Classifiers"/> section on the <AutoText key="glidict::GUI.Design"/> panel, add a <AutoText text="Phind"/> classifier. Leave the settings at their defaults: this generates a phrase browsing classifier that sources its phrases from <i>Title</i> and <i>text</i>.</Text>
-<Text id="0612b"><b>Build</b> the collection again and <b>preview</b> it. Select the new <MajorVersion number="2"><AutoText key="coredm::_Global:labelPhrase_"/></MajorVersion><MajorVersion number="3"><AutoText key="gs3::PhindPhraseBrowse::PhindApplet.name" /></MajorVersion> option from the navigation bar. Enter a single word in the text box, such as <AutoText text="band" type="quotes"/>. The phrase browser will present you with phrases found in the collection containing the search term. This can provide a useful way of browsing a very large collection. Note that even though it is called a phrase browser, only single terms can be used as the starting point for browsing.</Text>
+<Text id="0612b"><b>Build</b> the collection again and <b>preview</b> it. Select the new <MajorVersion number="2"><AutoText key="coredm::_Global:labelPhrase_"/></MajorVersion><MajorVersion number="3"><AutoText key="gs3::ServiceRack::PhindApplet.name" /></MajorVersion> option from the navigation bar. Enter a single word in the text box, such as <AutoText text="band" type="quotes"/>. The phrase browser will present you with phrases found in the collection containing the search term. This can provide a useful way of browsing a very large collection. Note that even though it is called a phrase browser, only single terms can be used as the starting point for browsing.</Text>
 </NumberedItem>
 <Heading>