Index: /documentation/trunk/tutorials/xml-source/tutorial_en.xml
===================================================================
--- /documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 30737)
+++ /documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 30738)
@@ -5704,5 +5704,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="ni1-03">From <Path>sample_files &rarr; interfaces &rarr; aybara</Path> folder, copy the <b>interfaceConfig.xml</b> file and the <b>galleryviewthemes</b> folder into the <b>perrin</b> folder. Open the file <Path>perrin &rarr; interfaceConfig.xml</Path> in a text editor. The interface configuration file is used to specify the languages the interface is available in, certain options, and what "actions" are available. <b>Actions</b> create the web pages for the library and specify what XSL file should be used for each. For example, if you completed the Home Page Tutorial, you changed the <i>home</i> subaction to point to <i>home-tutorial.xsl</i> instead of <i>home.xsl</i>.</Text>
+<Text id="ni1-03">From <Path>sample_files &rarr; interfaces &rarr; aybara</Path> folder, copy the <b>interfaceConfig.xml</b> file into the <b>perrin</b> folder. Open the file <Path>perrin &rarr; interfaceConfig.xml</Path> in a text editor. The interface configuration file is used to specify the languages the interface is available in, certain options, and what "actions" are available. <b>Actions</b> create the web pages for the library and specify what XSL file should be used for each. For example, if you completed the Home Page Tutorial, you changed the <i>home</i> subaction to point to <i>home-tutorial.xsl</i> instead of <i>home.xsl</i>.</Text>
 
 <Text id="ni1-04">We are going to make one important change to this file. Our new interface is going to borrow heavily from the default interface. We will be reusing many of the XSL files, Javascript, and images. We could copy all of these files into our new interface, however, there are a few drawbacks to this solution:<br /><br />
@@ -5778,9 +5778,9 @@
 <Text id="ni1-13a">To do the latter, visit <AutoText text="http://convertio.co/uz-zip/" />. Click the red <AutoText text="From computer" /> button. In the file browser dialog that appears, navigate to where you downloaded the <i>7zip</i> file. Select this file and confirm to close the file browser dialog. Once the file has finished uploading, the online service will say "ready" and a red <AutoText text="Convert" /> button will appear. Click that button and wait until the convertio.co site has converted your 7z file to zip. When it's done, it will say "finished" and a small green button marked  <AutoText text="Download" /> will appear. Click this button to download the zip version of the file. (<i>After</i> downloading has finished, you can press the close button, marked with a cross next to the download button, which will presumably clear your uploaded files from the convertio.co's server.)</Text>
 <Text id="ni1-13b">On Windows, your converted <i>zip</i> version of the template will have been saved in your <b>Downloads</b> folder. <i>This template is free to use and modify, but the Copyright and link information <b>must remain intact</b> in files and in the footer of every page. The template <b>cannot be distributed</b> (modified or otherwise) without express permission from OS-Templates. (The full license is provided in the <b>license.txt</b> file included with the template).</i></Text>
-<Text id="ni1-14">In an Explorer window, navigate to your Downloads folder (<Path>C:\Users\&lt;user-name&gt;\Downloads</Path>). Right-click <b>news-magazine.zip</b>, select <b>Extract All...</b> and, in the popup window, click <b>Extract</b>.</Text>
-</NumberedItem>
-<NumberedItem>
-<Text id="ni1-15">In the new news-magazine folder, open the <b>layout</b> subfolder and copy the <b>styles</b>, <b>scripts</b>, and <b>images</b> folders into <Path>Greenstone3 &rarr; web &rarr; interfaces &rarr; perrin</Path>. Also copy the file <b>license.txt</b> from the news-magazine folder into the same location. Move the javascript files (files that end with a js extension) that are in the new <Path>perrin &rarr; scripts &rarr; galleryviewthemes</Path> folder into <Path>perrin &rarr; scripts</Path>. If you wish, you can delete the <Path>perrin &rarr; scripts &rarr; galleryviewthemes</Path> folder.</Text>
-<Text id="ni1-16">In the new <Path> perrin &rarr; images </Path> folder, delete everything except the <b>galleryviewthemes</b> folder and its contents, because we will not be using any of the other images. </Text>
+<Text id="ni1-14">In an Explorer window, navigate to your Downloads folder (<Path>C:\Users\&lt;user-name&gt;\Downloads</Path>). Right-click on the downloaded zip file containing the template, select <b>Extract All...</b> and, in the popup window, click <b>Extract</b>.</Text>
+</NumberedItem>
+<NumberedItem>
+<Text id="ni1-15">In the newly extracted folder, open the <b>layout</b> subfolder and copy the <b>styles</b>, <b>scripts</b>, and <b>images</b> folders into <Path>Greenstone3 &rarr; web &rarr; interfaces &rarr; perrin</Path>. Also copy the file <b>license.txt</b> from the extracted folder into the same location. Move the javascript files (files that end with a js extension) that are in the new <Path>perrin &rarr; scripts &rarr; galleryviewthemes</Path> folder into <Path>perrin &rarr; scripts</Path>. If you wish, you can delete the <Path>perrin &rarr; scripts &rarr; galleryviewthemes</Path> folder.</Text>
+<Text id="ni1-16">In the new <Path> perrin &rarr; images </Path> folder, delete everything<!-- except the <b>galleryviewthemes</b> folder and its contents-->, because we will not be using any of these images.</Text>
 </NumberedItem>
 <NumberedItem>
@@ -5790,5 +5790,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="ni1-18a">Now, from the <Path>sample_files &rarr; interfaces &rarr; aybara</Path> folder, copy the <b>styles</b>, <b>images</b>, and <b>transform</b> folders, as well as the <b>index-GS3.html</b> file into <Path>Greenstone3 &rarr; web &rarr; interfaces &rarr; perrin</Path> (If a popup window asks whether you want to merge the images and styles folders, select "Yes".)</Text> 
+<Text id="ni1-18a">Now, from the <Path>sample_files &rarr; interfaces &rarr; aybara</Path> folder, copy the <b>styles</b>, <b>images</b>, and <b>transform</b> folders, as well as the <b>index-GS3.html</b> file into <Path>Greenstone3 &rarr; web &rarr; interfaces &rarr; perrin</Path>. (If a popup window asks whether you want to merge the images and styles folders, select "Yes".)</Text> 
 <Text id="ni1-18b">Next, copy the two javascript files in <Path>sample_files &rarr; interfaces</Path> (<i>jquery.galleryview-2.1.1.js</i> and especially <i>jquery.galleryview.2.1.1.min.js</i>) to <Path>Greenstone3 &rarr; web &rarr; interfaces &rarr; perrin &rarr; scripts</Path>, replacing any existing files of identical name. These two javascript files are modified versions to cope with an update to jquery. The modified files are necessary for the next tutorial's image slider to show up and work.</Text>
 <Text id="ni1-18c">We have now gathered all of the Javascript, CSS, and images our new interface will use.</Text>