Index: documentation/trunk/tutorials/xml-source/tutorial_en.xml
===================================================================
--- documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 30743)
+++ documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 30753)
@@ -820,5 +820,5 @@
   Greenstone has a map view, based on the Google Maps API, that can make use of this location metadata.  The map view can be controlled to appear in different parts of the interface: as part of a collection's search results page when browsing the collection, and/or when viewing a document.  For this view to be operational in a Greenstone, it is necessary for the collection to index the GPS metadata.</Text>
 <NumberedItem>
-<Text id="images-gps-11">In the <b>Search Indexes</b> section of the <b>Design</b> panel, press the <b>New Index...</b> button. Scroll down and tick the box for <b>ex.LatShort</b> and press <b>Add Index</b> to create an index on. In like manner, create an index on <b>ex.Latitude</b>. Then another on <b>ex.LngShort</b>. And finally one on <b>ex.Longitude</b>.</Text> 
+<Text id="images-gps-11">In the <b>Search Indexes</b> section of the <b>Design</b> panel, press the <b>New Index...</b> button. Scroll down and tick the box for <b>ex.LatShort</b> and press <b>Add Index</b> to create an index on it. In like manner, create an index on <b>ex.Latitude</b>. Then another on <b>ex.LngShort</b>. And finally one on <b>ex.Longitude</b>.</Text> 
 </NumberedItem>
 <NumberedItem>
@@ -837,5 +837,5 @@
 <Text id="images-gps-16">
   By adding the <Format>&lt;gsf:option name="mapEnabled" value="true" /&gt;</Format> statement
-  to the <b>browser</b> format feature, all of the classifiers built will have the map
+  to the <b>browse</b> format feature, all of the classifiers built will have the map
   view enabled.  It is also possible to activate the map view on individual classifiers,
   and on the search results page by adding the <i>mapEnabled</i> statement to the <i>search</i>
@@ -946,5 +946,5 @@
 </NumberedItem>
 <MajorVersion number="3"><NumberedItem>
-Next, go to the <AutoText key="glidict::GUI.Format"/> panel, and select the <AutoText key="glidict::CDM.GUI.SearchMetadata"/> section to the left. On the right, set the display text value for <b>Index: dc.Creator</b> to <Format>creators</Format>.
+Next, go to the <AutoText key="glidict::GUI.Format"/> panel, and select the <AutoText key="glidict::CDM.GUI.SearchMetadata"/> section to the left. On the right, set the display text value for <b>Index: dc.Creator</b> to <Format>creators</Format>
 </NumberedItem></MajorVersion>
 <NumberedItem>
@@ -1071,5 +1071,5 @@
 <MajorVersion number="3">
 <NumberedItem>
-<Text id="fw-11-3">For collections with documents that undergo a conversion process during importing (e.g. Word, PDF, PowerPoint documents, but not text, HTML documents), the original file is stored in the collection along with the converted version. The default <AutoText text="Browse" /> format statement links to both versions, but the format statement for <AutoText text="Search"/> links only to the converted version of the original file:</Text>
+<Text id="fw-11-3">For collections with documents that undergo a conversion process during importing (e.g. Word, PDF, PowerPoint documents, but not text, HTML documents), the original file is stored in the collection along with the converted version. The default <AutoText text="Browse" /> format statement links to both versions, but the format statement for <AutoText text="Search"/> links only to the converted version of the original file. That is, this format statement:</Text>
 <Format>&lt;gsf:link type=&quot;document&quot;&gt;<br/>
         <Tab n="1"/>&lt;gsf:icon type=&quot;document&quot;/&gt;<br/>
@@ -1271,5 +1271,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="pdfbox-ext-11">Now that you've installed the PDFBox extension, this will be available as an option in the plugin's configuration dialog. To turn on the PDFBox extension, go to the <AutoText key="glidict::GUI.Design"/> panel, select <AutoText key="glidict::CDM.GUI.Plugins"/> from the left, and on the right double click the <AutoText text="PDFPlugin"/> (alternatively, select this plugin and click the <AutoText key="glidict::CDM.PlugInManager.Configure" type="button"/> below) to open the dialog to configure this plugin. In the <AutoText key="glidict::CDM.PlugInManager.Configure"/> dialog, scroll down to the section <AutoText text="AutoLoadConverters"/> and select the checkbox next to the <AutoText text="pdfbox_conversion"/> option. Click <AutoText key="glidict::General.OK"/> to close the dialog, switch to the <AutoText key="glidict::GUI.Create"/> panel and build your collection. This time, the PDF files will be processed by PDFBox which will extract their text.</Text>
+<Text id="pdfbox-ext-11"><MajorVersion number="2">Now that you've installed the PDFBox extension</MajorVersion><MajorVersion number="3">Since the PDFBox extension (which works with the PDFPlugin) now comes installed with Greenstone 3</MajorVersion>, this will be available as an option in the plugin's configuration dialog. To turn on the PDFBox extension, go to the <AutoText key="glidict::GUI.Design"/> panel, select <AutoText key="glidict::CDM.GUI.Plugins"/> from the left, and on the right double click the <AutoText text="PDFPlugin"/> (alternatively, select this plugin and click the <AutoText key="glidict::CDM.PlugInManager.Configure" type="button"/> below) to open the dialog to configure this plugin. In the <AutoText key="glidict::CDM.PlugInManager.Configure"/> dialog, scroll down to the section <AutoText text="AutoLoadConverters"/> and select the checkbox next to the <AutoText text="pdfbox_conversion"/> option. Click <AutoText key="glidict::General.OK"/> to close the dialog, switch to the <AutoText key="glidict::GUI.Create"/> panel and build your collection. This time, the PDF files will be processed by PDFBox which will extract their text.</Text>
 <Text id="pdfbox-ext-12">Try this feature out on a collection of recent PDF files, by configuring its PDFPlugin with the <AutoText text="pdfbox_conversion"/> option turned on.</Text>
 </NumberedItem>
@@ -1312,5 +1312,5 @@
 <Text id="ep-7"><b>Build</b> and <b>preview</b> the collection. View the text versions of some of the PDF documents. <MajorVersion number="2">Note that these are now split into a series of pages, and a "go to page" box is provided. 
 </MajorVersion>
-<MajorVersion number="3">Note that these are now split into a series of pages, and a table of contents is provided to the right.
+<MajorVersion number="3">Note that these are now split into a series of pages, and a table of contents is provided to the right. Clicking on a page in the table of contents will scroll to that page. The other way of navigating is on the left, where individual pages are listed vertically by page number and clicking the "plus" box next to a page will expand its contents.
 </MajorVersion>
 <MajorVersion number="2">The format is still a bit ugly though, and</MajorVersion><MajorVersion number="3">Note that</MajorVersion> pdf05-notext.pdf is still not processed.</Text>
@@ -1994,5 +1994,5 @@
 <Text id="0469">This displays something that looks like this: </Text>
 <Indent>
-<table><tr><td><img width='15' height='20' src="../tutorial_files/itext.gif"/></td><td width='408' valign='top'>A discussion of question five from Tudor Quiz: Henry VIII <br/><i>(quizstuff.html)</i></td></tr></table>
+<table><tr><td><img width='15' height='20' src="../tutorial_files/itext.gif"/></td><td width='508' valign='top'>A discussion of question five from Tudor Quiz: Henry VIII <br/><i>(quizstuff.html)</i></td></tr></table>
 </Indent>
 <Text id="0472">for a particular document whose <i>Title</i> metadata is <AutoText text="A discussion of question five from Tudor Quiz: Henry VIII"/> and whose <i>Source</i> metadata is <AutoText text="quizstuff.html"/>.</Text>
@@ -2216,5 +2216,5 @@
 <NumberedItem>
 <Text id="0490"><b>Preview</b> the collection. Documents in the search results list will be displayed like this:</Text>
-<table><tr><td><img width='15' height='20' src="../tutorial_files/itext.gif" /></td><td width='408' valign='top'>A discussion of question five from Tudor Quiz: Henry VIII <br/>
+<table><tr><td><img width='15' height='20' src="../tutorial_files/itext.gif" /></td><td width='508' valign='top'>A discussion of question five from Tudor Quiz: Henry VIII <br/>
 Tudor period|Others</td></tr></table>
 <Text id="0493">(The vertical bar appears because this <AutoText key="metadata::dc.Subject"/> metadata is hierarchical metadata. Unfortunately there is no easy way to get at individual components of the hierarchy. For most metadata, such as title and author, this isn't a problem.)</Text>
@@ -2372,5 +2372,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="0414">In a web browser, visit <Link>http://englishhistory.net</Link>, follow the link to <i>Tudor England</i>. You should be at the URL</Text>
+<Text id="0414">In a web browser, visit <Link>http://englishhistory.net</Link>, follow the link to <i>The Tudors</i>. You should be at the URL</Text>
 <Link>http://englishhistory.net/tudor/</Link> 
 <Text id="0415">This is where we started the downloading process to obtain the files you have been using for the <b>tudor</b> collection. You could do the same thing by copying this URL from the web browser, pasting it into the <AutoText key="glidict::GUI.Download"/> panel, and clicking the <AutoText key="glidict::Mirroring.Download" type="button"/> button. However, several megabytes will be downloaded, which might strain your network resources&mdash;or your patience! For a faster exercise we focus on a smaller section of the site. </Text>
@@ -3631,5 +3631,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="0632"><b>Build</b> the collection and <b>preview</b> it. Unfortunately the MIDI files don't appear as Audio under the <i>browse</i> button. That's because they haven't been assigned <AutoText key="metadata::dc.Format"/> metadata.</Text>
+<Text id="0632"><b>Build</b> the collection and <b>preview</b> it. Unfortunately, the MIDI files don't appear as Audio under the <i>browse</i> button. That's because they haven't been assigned <AutoText key="metadata::dc.Format"/> metadata.</Text>
 <BulletList>
 <Bullet>
@@ -4508,5 +4508,5 @@
 </Format>
 </MajorVersion>
-<Text id="0730">This format statement alters how the document view is presented. It includes a screen-sized version of the image that hyperlinks back to the original larger version available on the web (unfortunately, the original versions of the images in this sample collection are no longer available on the web). Factual information extracted from the image, such as width, height and type, is also displayed.<MajorVersion number="3"> It uses XSLT to construct the hyperlink which makes use of the greenstone metadata containing the link to the original image.</MajorVersion></Text>
+<Text id="0730">This format statement alters how the document view is presented. It includes a screen-sized version of the image that hyperlinks back to the original larger version available on the web. (Unfortunately, the original versions of the images in this sample collection are no longer available on the web.) Factual information extracted from the image, such as width, height and type, is also displayed.<MajorVersion number="3"> It uses XSLT to construct the hyperlink which makes use of the greenstone metadata containing the link to the original image.</MajorVersion></Text>
 </NumberedItem>
 <NumberedItem>
@@ -4714,5 +4714,6 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="0739">Open a DOS window to access the command-line prompt. This facility should be located somewhere within your <Menu>Start &rarr; Programs</Menu> menu, but details vary between different Windows systems. If you cannot locate it, select <Menu>Start &rarr; Run</Menu>, enter <AutoText text="cmd" type="italics"/> in the popup window that appears and hit <AutoText text="Enter" type="italics"/>.</Text>
+<Text id="0739">If you're on Windows, open a DOS window to access the command-line prompt. This facility should be located somewhere within your <Menu>Start &rarr; Programs</Menu> menu, but details vary between different Windows systems. If you cannot locate it, select <Menu>Start &rarr; Run</Menu>, enter <AutoText text="cmd" type="italics"/> in the popup window that appears and hit <AutoText text="Enter" type="italics"/>.</Text>
+<Text id="0739a">If you're on Linux or Mac, open a terminal.</Text>
 </NumberedItem>
 <NumberedItem>
@@ -4946,5 +4947,6 @@
 </Heading>
 <NumberedItem>
-<Text id="0790a">Open a DOS window to access the command-line prompt. This facility should be located somewhere within your <Menu>Start &rarr; Programs</Menu> menu, but details vary between different Windows systems. If you cannot locate it and you are running <AutoText text="Windows XP"/>, select <Menu>Start &rarr; Run</Menu> and enter <Command>cmd</Command> in the popup window that appears. In either <AutoText text="Windows Vista"/> or <AutoText text="Windows 7"/>, click the Start button and type <Command>cmd</Command> in the search box at the bottom of the Start menu.</Text>
+<Text id="0790a">If you're on Windows, open a DOS window to access the command-line prompt. This facility should be located somewhere within your <Menu>Start &rarr; Programs</Menu> menu, but details vary between different Windows systems. If you cannot locate it and you are running <AutoText text="Windows XP"/>, select <Menu>Start &rarr; Run</Menu> and enter <Command>cmd</Command> in the popup window that appears. In either <AutoText text="Windows Vista"/> or <AutoText text="Windows 7"/>, click the Start button and type <Command>cmd</Command> in the search box at the bottom of the Start menu.</Text>
+<Text id="0790aa">If you're on a Unix system or on a Mac, open a terminal.</Text>
 </NumberedItem>
 <NumberedItem>